List a contact point usages
GET /api/contact_points/{contact_point_id}/usages
GET /api/contact_points/{contact_point_id}/usagesInteractive request editor loads with JavaScript.
In: header
Path Parameters
Contact point ID.
^[a-zA-Z0-9-_.]+$1 <= length <= 256Query Parameters
Type of notification.
Value in
- "alert_policy"
- "api_product_notification"
Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueNumber of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueOrder to list the resources by. The sorting index follows the configuration of order_by.
"desc"Value in
- "asc"
- "desc"
Index to order contact point usages by.
"updated_at"Value in
- "resource_name"
- "resource_type"
- "created_at"
- "updated_at"
Response Body
application/json
application/json
curl -X GET "$API_BASE_URL/api/contact_points/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101/usages"Successfully retrieved the paginated list of contact point usages.
{
"total": 1,
"list": [
{
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"created_at": 1742288232,
"updated_at": 1742288235,
"resource_type": "alert_policy",
"resource_id": "b32e678e-7f6b-4a50-b113-550621ed4c01",
"resource_name": "Weather Insights API"
}
]
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/contact_points/{contact_point_id}/usages
List a contact point usages
List resources that currently reference the specified contact point. Check usage before deletion or major edits to understand downstream impact.
Required IAM Permission: Action iam:GetContactPoint, Resource arn:api7:iam:contactpoint/%s
Parameters
contact_point_id(path, string, required): Contact point ID.resource_type(query, string, optional):page(query, integer, optional): Page number of the listed resources. Used together withpage_size. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.page_size(query, integer, optional): Number of resources listed per page. Used together withpage. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.direction(query, string, optional): Order to list the resources by. The sorting index follows the configuration oforder_by.order_by(query, string, optional): Index to order contact point usages by.
Responses
200: Successfully retrieved the paginated list of contact point usages.- allOf variant 1
list(array, optional): An array of resources.total(integer, optional): Total number of objects.- allOf variant 2
list(array, optional): An array of contact point usages.list[].id(string, optional): The object ID.list[].created_at(integer, optional): The object created timestamp.list[].updated_at(integer, optional): The object updated timestamp.list[].resource_type(string, optional): Type of notification.list[].resource_id(string, optional): The resource ID.list[].resource_name(string, optional): The resource name.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/contact_points/{contact_point_id}/usages'